stages:
    - create-s3-bucket
    - add-file-s3-bucket
    - remove-file-s3-bucket
    - delete-s3-bucket

image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest

variables:
    my_bucket: gitlab-test-bucket-879812

# Create New Bucket 
create-s3-bucket-job:
    stage: create-s3-bucket
    script:
        - echo "Create S3 Bucket"
        - aws s3 mb "s3://$my_bucket"
        - aws s3 ls
    
# Upload file into s3 bucket
add-file-s3-bucket-job:
    stage: add-file-s3-bucket
    script:
        - echo "ADD file into S3 Bucket"
        - touch test123.txt
        - ls
        - aws s3 cp test123.txt "s3://$my_bucket" 
        - aws s3 ls

# Remove file from s3 bucket
remove-file-s3-bucket-job:
   stage: remove-file-s3-bucket
   script:
       -  echo "Remove file from s3 bucket"
       -  aws s3 rm "s3://$my_bucket/test123.txt"
       -  aws s3 ls

# Delete bucked
delete-s3-bucket-job:
    stage: delete-s3-bucket
    script:
        - sleep 30
        - echo "deleting bucket"
        - aws s3api delete-bucket --bucket $my_bucket --region us-east-1

